Subject: Re: [PATCH] pmac: sound support for latest laptops

From: Takashi Iwai <[email-masked]>
Date: Thu, 14 Apr 2005 18:18:17 +0200

At Thu, 14 Apr 2005 23:15:14 +1000,
Benjamin Herrenschmidt wrote:
> 
> On Thu, 2005-04-14 at 14:55 +0200, Johannes Berg wrote:
> > Hi,
> > 
> > > This patch hacks the current Alsa snd-powermac driver to add support for
> > > recent machine models with the tas3004 chip, that is basically new
> > > laptop models.
> > 
> > So this works, but is incompatible with gstreamer. I took it with a
> > rhythmbox/gstreamer developer and he said that it's a driver issue. A
> > gstreamer log is here:
> > http://johannes.sipsolutions.net/files/rhythmbox-alsa-debug
> > (produced by GST_DEBUG=alsa*:5 rhythmbox 2>&1 | tee logfile)
> > 
> > He also asked me to try
> > $ gst-launch-0.8 sinesrc ! alsasink device=hw:0
> > 
> > which yields:
> > RUNNING pipeline ...
> > ERROR: pipeline doesn't want to play.
> > 
> > So the conclusion was:
> > "set_periods_near ioctl does something weird"
> > 
> > Any ideas?
> 
> I don't know, this is definitely not a problem with the platform
> specific part of the driver, which is what I've been dealin with lately.
> You may find a better answer with the Alsa folks regarding the actual
> PCM implementation.

Could you try the very latest CVS alsa-lib?
(Maybe you'll need to wait until tomorrow for sync with anon tree.)

In the latest version, alsa-lib will show verbose messages to stderr
when $LIBASOUND_DEBUG is set.

Takashi